package modeles;

/**
 * Une classe permettant d'obtenir une température en Celsius ou Farenheit.
 *
 */
public class Temperature {

	/**
	 * La valeur, exprimée en degrés Celsius
	 */
	private double celsius=0;
	private double fahrenheit=0;

	/**
	 * Le constructeur, prend des Celsius en paramètres
	 */
	public Temperature(boolean versCelsius,double valeurDegres)
	{
		if(versCelsius){
			fahrenheit = valeurDegres;
			celsius = (fahrenheit -32) * 5/9; 
			System.out.println(versCelsius+" "+fahrenheit);
		}else{
			celsius = valeurDegres;
			fahrenheit = (celsius *9/5) +32;
			System.out.println(versCelsius+" "+celsius+""+fahrenheit);
		}
	}

	/**
	 * Pour obtenir la valeur en Celsius
	 *
	 * @return Valeur de la température en Celsius
	 */
	public double getCelsius() {
		return celsius;
	}

	/**
	 * Pour obtenir la valeur en Fahrenheit
	 *
	 * @return Valeur de la température en Farenheit
	 */
	public double getFahrenheit() {
		return fahrenheit;
	}
}